Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestPartResultReporterInterface Class Referenceabstract

`#include <gtest-test-part.h>`

Inheritance diagram for TestPartResultReporterInterface:

## Public Member Functions
virtual | ~TestPartResultReporterInterface ()
virtual void | ReportTestPartResult (const TestPartResult &result)=0
virtual | ~TestPartResultReporterInterface ()
virtual void | ReportTestPartResult (const TestPartResult &result)=0
virtual | ~TestPartResultReporterInterface ()
virtual void | ReportTestPartResult (const TestPartResult &result)=0

## Constructor & Destructor Documentation

virtual ~TestPartResultReporterInterface | ( |  | ) |
| inline virtual

virtual ~TestPartResultReporterInterface | ( |  | ) |
| inline virtual

virtual ~TestPartResultReporterInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| pure virtual

Implemented in HasNewFatalFailureHelper, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultGlobalTestPartResultReporter, HasNewFatalFailureHelper, HasNewFatalFailureHelper, ScopedFakeTestPartResultReporter, ScopedFakeTestPartResultReporter, and ScopedFakeTestPartResultReporter.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| pure virtual

Implemented in HasNewFatalFailureHelper, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultGlobalTestPartResultReporter, HasNewFatalFailureHelper, HasNewFatalFailureHelper, ScopedFakeTestPartResultReporter, ScopedFakeTestPartResultReporter, and ScopedFakeTestPartResultReporter.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| pure virtual

Implemented in HasNewFatalFailureHelper, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultPerThreadTestPartResultReporter, DefaultGlobalTestPartResultReporter, DefaultGlobalTestPartResultReporter, HasNewFatalFailureHelper, HasNewFatalFailureHelper, ScopedFakeTestPartResultReporter, ScopedFakeTestPartResultReporter, and ScopedFakeTestPartResultReporter.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest-test-part.h
- testing/googleTest/fused-src/gtest/gtest.h